package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author gfhd
 * @since 2024-02-28
 */
public class Method implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String methodDescribe;
    private String methodExpression;
    private String methodName;

    private String paramDescribe;
    private String returnDescribe;

    public String getParamDescribe() {
        return paramDescribe;
    }

    public void setParamDescribe(String paramDescribe) {
        this.paramDescribe = paramDescribe;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMethodDescribe() {
        return methodDescribe;
    }

    public void setMethodDescribe(String methodDescribe) {
        this.methodDescribe = methodDescribe;
    }

    public String getMethodExpression() {
        return methodExpression;
    }

    public void setMethodExpression(String methodExpression) {
        this.methodExpression = methodExpression;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public String getReturnDescribe() {
        return returnDescribe;
    }

    public void setReturnDescribe(String returnDescribe) {
        this.returnDescribe = returnDescribe;
    }

    @Override
    public String toString() {
        return "Method{" +
                "id = " + id +
                ", methodDescribe = " + methodDescribe +
                ", methodExpression = " + methodExpression +
                ", methodName = " + methodName +
                ", returnDescribe = " + returnDescribe +
                "}";
    }
}
